dpkg-gencontrol(1)

NOME
dpkg-gencontrol - genera file di controllo di Debian

SINTASSI
dpkg-gencontrol [opzione...]

DESCRIZIONE
dpkg-gencontrol reads information from an unpacked Debian source tree and generates a binary package control file (which defaults to debian/tmp/DEBIAN/control); during this process it will simplify the relation fields.

Thus Pre-Depends, Depends, Recommends and Suggests are simplified in this order by removing dependencies which are known to be true according to the stronger dependencies already parsed. It will also remove any self-dependency (in fact it will remove any dependency which evaluates to true given the current version of the package as installed). Logically it keeps the intersection of multiple dependencies on the same package. The order of dependencies is preserved as best as possible: if any dependency must be discarded due to another dependency appearing further in the field, the superseding dependency will take the place of the discarded one.

The other relation fields (Enhances, Conflicts, Breaks, Replaces and Provides) are also simplified individually by computing the union of the various dependencies when a package is listed multiple times in the field.

dpkg-gencontrol aggiunge anche una voce per il pacchetto binario in debian/files.

OPZIONI

-vversione
    Imposta il numero di versione del pacchetto binario che verrà generato.

-Vnome=valore
    Imposta una variabile di sostituzione per l'output. Vedere deb-substvars(5) per informazioni sulle sostituzioni per l'output.

-Tsubstvars-file
    Read substitution variables in substvars-file; the default is debian/substvars. This option can be used multiple times to read substitution variables from multiple files (since dpkg 1.15.6).

-Dcampo=valore
    Override or add an output control file field.

-Ucampo
    Remove an output control file field.

-cfile-controllo
    Specifica il file di controllo principale dei sorgenti da cui leggere le informazioni. Il valore predefinito è debian/control.

-lfile-changelog
    Specifica il file changelog da cui leggere le informazioni. Il valore predefinito è debian/changelog.

-ffile-con-lista-file
    Legge o scrive la lista di file da caricare qui, invece di usare debian/files.

-Fformato-changelog
    Specifica il formato del changelog. Vedere dpkg-parsechangelog(1) per informazioni sui formati alternativi.

-ppacchetto
    Genera informazioni per il pacchetto binario pacchetto. Se il file di controllo del sorgente elenca solo un pacchetto binario allora questa opzione può essere omessa; altrimenti è essenziale selezionare di quale pacchetto binario generare le informazioni.

-nnomefile
    Assume che il nome di file del pacchetto sarà filename invece del normale nome file pacchetto_versione_arch.deb

-is, -ip, -isp
    Queste opzioni sono ignorate per compatibilità con versioni più vecchie degli script di compilazione di dpkg, ma sono ora deprecate. In passato erano usate per dire a dpkg-gencontrol di includere i campi Section e Priority nel file di controllo. Questo è ora il comportamento predefinito. Se si vuole il vecchio comportamento, si può usare l'opzione -U per cancellare i campi dal file di controllo.

-Pdir-di-generazione-pacchetto
    Tells dpkg-source that the package is being built in package-build-dir instead of debian/tmp. This value is used to find the default value of the Installed-Size substitution variable and control file field (using du), and for the default location of the output file.

-O[nomefile]
    Print the control file to standard output (or filename if specified, since dpkg 1.17.2), rather than to debian/tmp/DEBIAN/control (or package-build-dir/DEBIAN/control if -P was used).

-?, --help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

FILE

debian/control
    Il file principale di informazioni di controllo del sorgente, che da informazioni indipendenti dalla versione sul pacchetto sorgente e sui pacchetti binari che può produrre.

debian/files
    The list of generated files which are part of the upload being prepared. dpkg-gencontrol adds the presumed filenames of binary packages whose control files it generates here.

VEDERE ANCHE
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).